###################################################
### chunk number 1: 
###################################################
options(width = 75)
### for sampling
set.seed(1234)


###################################################
### chunk number 2: 
###################################################
library("arulesViz")
data("Groceries")


###################################################
### chunk number 3: 
###################################################
summary(Groceries)


###################################################
### chunk number 4: 
###################################################
rules <- apriori(Groceries, parameter=list(support=0.001, confidence=0.5))
rules


###################################################
### chunk number 5: 
###################################################
inspect(head(sort(rules, by ="lift"),3))


###################################################
### chunk number 6:  eval=FALSE
###################################################
## plot(x, method = NULL, measure = "support", shading = "lift", interactive = FALSE, data = NULL, control = NULL, ...)


###################################################
### chunk number 7: scatterplot1
###################################################
plot(rules)


###################################################
### chunk number 8: 
###################################################
head(quality(rules))


###################################################
### chunk number 9: scatterplot2
###################################################
plot(rules, measure=c("support", "lift"), shading="confidence")


###################################################
### chunk number 10: scatterplot3
###################################################
plot(rules, shading="order", control=list(main = "Two-key plot"))


###################################################
### chunk number 11:  eval=FALSE
###################################################
## sel <- plot(rules, measure=c("support", "lift"), shading="confidence", interactive=TRUE)


###################################################
### chunk number 12: 
###################################################
subrules <- rules[quality(rules)$confidence > 0.8]
subrules


###################################################
### chunk number 13: matrix1
###################################################
plot(subrules, method="matrix", measure="lift")


###################################################
### chunk number 14: matrix2
###################################################
plot(subrules, method="matrix", measure="lift", control=list(reorder=TRUE))


###################################################
### chunk number 15: matrix3D1
###################################################
plot(subrules, method="matrix3D", measure="lift")


###################################################
### chunk number 16: matrix3D2
###################################################
plot(subrules, method="matrix3D", measure="lift", control=list(reorder=TRUE))


###################################################
### chunk number 17: matrix_col1
###################################################
plot(subrules, method="matrix", measure=c("lift", "confidence"))


###################################################
### chunk number 18: matrix_col2
###################################################
plot(subrules, method="matrix", measure=c("lift", "confidence"),
        control=list(reorder=TRUE))


###################################################
### chunk number 19: clusterplot1
###################################################
plot(rules, method="grouped")


###################################################
### chunk number 20: clusterplot2
###################################################
plot(rules, method="grouped", control=list(k=50))


###################################################
### chunk number 21:  eval=FALSE
###################################################
## sel <- plot(rules, method="grouped", interactive=TRUE)


###################################################
### chunk number 22: 
###################################################
subrules2 <- head(sort(rules, by="lift"), 10)


###################################################
### chunk number 23: graph1
###################################################
plot(subrules2, method="graph")


###################################################
### chunk number 24: graph2
###################################################
plot(subrules2, method="graph",
        control=list(type="bipartite"))


###################################################
### chunk number 25: graph3
###################################################
plot(subrules2, method="graph",
        control=list(type="items"))


###################################################
### chunk number 26:  eval=FALSE
###################################################
## saveDot(head(sort(rules, by="lift"),1000), file="rules.dot")


###################################################
### chunk number 27: pc1
###################################################
plot(subrules2, method="paracoord")


###################################################
### chunk number 28: 
###################################################
### for sampling
set.seed(4321)


###################################################
### chunk number 29: pc2
###################################################
plot(subrules2, method="paracoord", control=list(reorder=TRUE))


###################################################
### chunk number 30: 
###################################################
oneRule <- sample(rules, 1)
inspect(oneRule)


###################################################
### chunk number 31: doubledecker1
###################################################
plot(oneRule, method="doubledecker", data = Groceries)


